role.update
Update a custom role (name/description/scopes). Builtin roles are immutable.
- Scope:
iam.roles.write - System: no
- Reachable from:
POST /v1/commands/role.update(tenant credential) · MCP toolrole.update· SDKclient.call('role.update', …) - Events:
role.updated
Input (JSON Schema)
Section titled “Input (JSON Schema)”{ "properties": { "description": { "anyOf": [ { "type": "string" }, { "type": "null" } ] }, "key": { "minLength": 1, "type": "string" }, "name": { "minLength": 1, "type": "string" }, "scopes": { "items": { "minLength": 1, "type": "string" }, "type": "array" } }, "required": [ "key" ], "type": "object"}Result (200)
Section titled “Result (200)”{ "additionalProperties": false, "properties": { "role_id": { "type": "string" } }, "required": [ "role_id" ], "type": "object"}Errors
Section titled “Errors”validation_failed (400) · unauthorized (401) · forbidden (403) · conflict (409) · internal (500)